org.apache.ignite.ml.selection.scoring.metric.classification

## Class BinaryClassificationMetric<L extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.selection.scoring.metric.classification.BinaryClassificationMetric<L>

- All Implemented Interfaces:
    Serializable, Metric<L,BinaryClassificationEvaluationContext<L>,BinaryClassificationPointwiseMetricStatsAggregator<L>>
  Direct Known Subclasses:
    BalancedAccuracy, FallOut, FalseNegativeAbsoluteValue, FalsePositiveAbsoluteValue, Fdr, FMeasure, MissRate, Npv, Precision, Recall, Specificity, TrueNegativeAbsoluteValue, TruePositiveAbsoluteValue

      public abstract class BinaryClassificationMetric<L extends Serializable>
      extends Object
      implements Metric<L,BinaryClassificationEvaluationContext<L>,BinaryClassificationPointwiseMetricStatsAggregator<L>>

  Common abstract class for all binary classification metrics.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryClassificationMetric()` Creates an instance of BinaryClassificationMetric.
    `BinaryClassificationMetric(L truthLabel, L falseLabel)` Creates an instance of BinaryClassificationMetric.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryClassificationPointwiseMetricStatsAggregator<L>` | `makeAggregator()` Creates statistics aggregator.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.selection.scoring.metric.Metric

      `initBy, name, value`

- - ### Constructor Detail

    - #### BinaryClassificationMetric

          public BinaryClassificationMetric(L truthLabel,
                                            L falseLabel)

      Creates an instance of BinaryClassificationMetric.
      Parameters:
        `truthLabel` - User provided truth label.
        `falseLabel` - User provided false label.

    - #### BinaryClassificationMetric

          public BinaryClassificationMetric()

      Creates an instance of BinaryClassificationMetric.

  - ### Method Detail

    - #### makeAggregator

          public BinaryClassificationPointwiseMetricStatsAggregator<L> makeAggregator()

      Creates statistics aggregator.
      Specified by:
        `makeAggregator` in interface `Metric<L extends Serializable,BinaryClassificationEvaluationContext<L extends Serializable>,BinaryClassificationPointwiseMetricStatsAggregator<L extends Serializable>>`
      Returns:
        Statistics aggregator

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021